START TRANSACTION;

CREATE TABLE `description` (
	`description_id` INT(11) NOT NULL AUTO_INCREMENT,
	`name` CHAR(50) NOT NULL COLLATE 'utf8_hungarian_ci',
	`description` TEXT NOT NULL COLLATE 'utf8_hungarian_ci',
	`version` INT(3) NULL DEFAULT '0',
	`valid_from` DATETIME NULL DEFAULT NULL,
	`valid_to` DATETIME NULL DEFAULT NULL,
	PRIMARY KEY (`description_id`) USING BTREE,
	INDEX `name` (`name`) USING BTREE
)
COLLATE='utf8_hungarian_ci'
ENGINE=InnoDB
;

CREATE TABLE `description_translation` (
	`translation_id` INT(13) NOT NULL AUTO_INCREMENT,
	`description_id` INT(11) NOT NULL,
	`language_code` CHAR(2) NOT NULL DEFAULT 'en' COLLATE 'utf8mb4_general_ci',
	`description_translation` TEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
	PRIMARY KEY (`translation_id`) USING BTREE
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;

UPDATE configuration set config_value = "1.0.36", date_change=CURRENT_DATE WHERE config_key = "db_version";

COMMIT;
