package com.aitrainer.api.controller

import com.aitrainer.api.model.Property
import com.aitrainer.api.repository.PropertyRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class PropertyController(private val propertyRepository: PropertyRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/property")
    fun getPropertiesWithTranslation(): ResponseEntity<List<Property>> {
        val list = propertyRepository.getProperties()

        logger.info(" -- Get All properties $list")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}