package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.Diet
import com.aitrainer.api.repository.diet.DietRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.util.*

@RestController
@RequestMapping("/api")
class DietController(private val dietRepository: DietRepository) {

    @PostMapping("/diet")
    fun insert(@RequestBody diet: Diet): ResponseEntity<*> {
        return ResponseEntity.ok().body(dietRepository.save(diet))
    }

    @GetMapping("/diet/{dietUserId}")
    fun getByDietUserId(@PathVariable dietUserId: Long): ResponseEntity<List<Diet>> {
        val list = dietRepository.findByDietUserId(dietUserId)
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}