package com.aitrainer.api.repository

import com.aitrainer.api.model.Sport
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface SportRepository: JpaRepository<Sport, Long> {
    @Query("FROM Sport as e "  +
            "LEFT JOIN SportTranslation as t ON e.sportId = t.sport AND t.languageCode = 'hu' "+
            "ORDER BY name")
    fun getSports(): List<Sport>
}